Skip to main content
POST
/
test
/
flow
Recorded Flows
curl --request POST \
  --url https://api.example.com/test/flow \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "data": {
    "flowId": "<string>",
    "when": "<string>",
    "time": "<string>"
  }
}
'
import requests

url = "https://api.example.com/test/flow"

payload = {
"action": "<string>",
"data": {
"flowId": "<string>",
"when": "<string>",
"time": "<string>"
}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
data: {flowId: '<string>', when: '<string>', time: '<string>'}
})
};

fetch('https://api.example.com/test/flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "content": {},
  "content.runId": "<string>"
}
List, run, inspect, delete, or schedule recorded flows. Dispatch the desired operation with the action field in the request body.

Actions

ActionDescription
listList all saved flows for the authenticated user.
runQueue a flow replay. Returns 202 with a runId.
runsRetrieve past runs for a flow, including step results and analysis.
deleteDelete a saved flow.
scheduleSchedule a flow replay for later or on an interval.

Request body

action
string
required
One of list, run, runs, delete, or schedule.
data
object
Payload for the selected action.

Responses

200 OK

Returned for list, runs, delete, and schedule.
success
boolean
required
message
string
required
One of Flows loaded., Flow runs loaded., Flow deleted., or Flow replay scheduled.
content
object
required
Payload matching the message. For example, flows, runs, { ok: true }, or { transactionId, scheduledId, kind }.

202 Accepted

Returned for run when the replay is queued.
content.runId
string
required

503 Service Unavailable

The replay queue could not accept the job. Retry with backoff.
Successful responses include the X-Credits-Remaining header.